#
# spec file for package fcitx-chewing
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-chewing
Version:        0.2.3
Release:        3.3
Summary:        Chewing Wrapper for Fcitx
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/fcitx/fcitx-chewing
Source:         http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
#PATCH-FIX-OPENSUSE marguerite@opensuse.org build for 12.3
Patch0:         %{name}-openSUSE-12.3.patch
BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libchewing-devel
BuildRequires:  xz
Provides:       locale(fcitx:zh_TW)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fcitx-chewing is a Chewing(新酷音) Wrapper for Fcitx.

Chewing is a set of free intelligent Chinese Phonetic IME.

%prep
%autosetup -p1

%build
mkdir -pv build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB_INSTALL_DIR=%{_lib} ..
make %{?_smp_mflags}

%install
pushd build
%make_install
popd

strip %{buildroot}%{_libdir}/fcitx/%{name}.so
%if 0%{?suse_version}
%fdupes %{buildroot}
%else
fdupes -n -q -r %{buildroot}
%endif
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/fcitx/
%{_datadir}/fcitx/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%patch0 to fix compilation with rpm-4.19
* Thu Nov 23 2017 i@marguerite.su
- update version 0.2.3
  * update default icon
  * fix candidate word paging and selection
  * add Carpalx keyboard layout support
* Mon Jun  9 2014 i@marguerite.su
- update version 0.2.2
  * add libchewing 0.4.0 compatibility
- add patch: fcitx-chewing-openSUSE-12.3.patch
* Wed Jun 26 2013 i@marguerite.su
- update version 0.2.1
  * Fix space selection
  * Fix layout configuration
  * Automatically commit existing buffer when losing focus.
  * Add support of change selection key
  * Add new chewing icon.
* Sat Jan 26 2013 i@marguerite.su
- update version 0.2.0
  * fix a bug in candidate selection.
* Sat Sep 15 2012 i@marguerite.su
- update version 0.1.3
  * Translation update
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds
* Tue Jun  5 2012 i@marguerite.su
- fix sles builds
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Sun May  6 2012 i@marguerite.su
- update to 0.1.2
  * fix space key
  * fix issue 553
* Fri Mar  9 2012 hillwood@linuxfans.org
- update to 0.1.1
  Fix a bug when input is too long
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git.
* Sun Jan 29 2012 i@marguerite.su
- initial package 0.1.0git
